# DerekoVecs.jl

Minimal Julia package to load and use [dereko2vec](https://korap.ids-mannheim.de/gerrit/plugins/gitiles/ids-kl/dereko2vec) language models.

Currently, only paradigmatic analysis is supported.

## Installation

### From the command line:

```bash
julia -e 'using Pkg; Pkg.add(url = "https://korap.ids-mannheim.de/gerrit/ids-kl/DerekoVecs.jl")'
```

### From within Julia:

```Julia
pkg> add "https://korap.ids-mannheim.de/gerrit/ids-kl/DerekoVecs.jl"
```

## Example Usage

```Julia
using DerekoVecs

model = load("model.vecs")

knn(model, "interessant", 10)

cos_sim(model, "gut", "besser")


model2 = load("model2.vecs")
cos_sim(model, model2, "also")

kld(model2, model)
```

## License

This package is licensed under the [Apache License 2.0](./LICENSE)
